# DescribeOriginStatusCode

## 1. 接口描述

本接口(DescribeOriginStatusCode)用于查询cdn回源状态码。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称      | 必选 | 类型     | 描述                                                                                                    |
| --------- | -- | ------ | ----------------------------------------------------------------------------------------------------- |
| startTime | 是  | String | 获取数据起始时间点。日期格式按照 ISO8601 表示法，并使用 UTC 时间，格式为 yyyy-MM-ddTHH:mm:ssZ，例如2024-08-22T00:00:00Z               |
| endTime   | 是  | String | 获取数据结束时间点。日期格式按照 ISO8601 表示法，并使用 UTC 时间，格式为 yyyy-MM-ddTHH:mm:ssZ，例如2024-08-22T00:10:00Z。结束时间点需要大于起始时间 |
| domain    | 否  | String | 加速域名，多个域名英文逗号间隔。默认查询所有加速                                                                              |

## 3. 响应结果

| 参数名称      | 类型                                                                                | 描述                                         |
| --------- | --------------------------------------------------------------------------------- | ------------------------------------------ |
| dataSet   | Array of [StatusCodeData](/api/cn/networking/cdn/datastructure.md#statuscodedata) | 状态码集合。                                     |
| requestId | String                                                                            | 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 requestId。 |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **查询cdn回源状态码。**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-TC-Action: DescribeOriginStatusCode
<Common Request Params>

Request:
{
    "startTime": "2024-08-22T00:00:00Z",
    "endTime": "2024-08-22T00:05:00Z"
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "dataSet": [{
      "data": [{
        "detail": [{
          "code": "200",
          "count": 286
          }, {
          "code": "404",
          "count": 1
        }],
        "time": "2024-08-22T00:00:00Z"
      }],
      "domain": "*"
    }]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api/cn/api-introduction/instruction/commonerrorcode.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api/cn/networking/cdn/analysis/describeoriginstatuscode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
